services:
  umami:
    image: ghcr.io/umami-software/umami:3.0.3
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - 1panel-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:3000
    environment:
      DATABASE_TYPE: ${PANEL_DB_TYPE}
      DATABASE_URL: ${PANEL_DB_TYPE}://${PANEL_DB_USER}:${PANEL_DB_USER_PASSWORD}@${PANEL_DB_HOST}:${PANEL_DB_PORT}/${PANEL_DB_NAME}
      APP_SECRET: ${HASH_SALT}
    labels:
      createdBy: "Apps"
    healthcheck:
      test: ["CMD-SHELL", "curl http://localhost:3000/api/heartbeat"]
      interval: 5s
      timeout: 5s
      retries: 5
networks:
  1panel-network:
    external: true
